Skip to main content
GET
/
v1
/
machines
/
{machine_id}
/
executions
/
{execution_id}
Get execution
curl --request GET \
  --url https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/executions/{execution_id} \
  --header 'x-api-key: <api-key>'
{ "command": [ "<string>" ], "created_at": "2023-11-07T05:31:56Z", "execution_id": "<string>", "machine_id": "<string>", "artifacts": [ { "artifact_id": "<string>", "name": "<string>" } ], "completed_at": "2023-11-07T05:31:56Z", "cwd": "<string>", "env_keys": [ "<string>" ], "error_code": "<string>", "error_message": "<string>", "exit_code": 123, "expires_at": "2023-11-07T05:31:56Z", "retry_after_ms": 123, "signal": 123, "started_at": "2023-11-07T05:31:56Z", "stderr_bytes": 123, "stderr_truncated": true, "stdout_bytes": 123, "stdout_truncated": true }

Documentation Index

Fetch the complete documentation index at: https://docs.dedaluslabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Headers

X-Dedalus-Org-Id
string

Path Parameters

machine_id
string
required
Required string length: 4 - 253
Pattern: ^dm-[a-z0-9]([a-z0-9-]*[a-z0-9])?$
execution_id
string
required
Required string length: 1 - 253
Pattern: ^[A-Za-z0-9]([A-Za-z0-9._-]*[A-Za-z0-9])?$

Response

OK

command
string[] | null
required
created_at
string<date-time>
required
execution_id
string
required
machine_id
string
required
status
enum<string>
required
Available options:
wake_in_progress,
queued,
running,
succeeded,
failed,
cancelled,
expired
artifacts
object[] | null
completed_at
string<date-time>
cwd
string
env_keys
string[] | null
error_code
string
error_message
string
exit_code
integer<int64>
expires_at
string<date-time>
retry_after_ms
integer<int64>
signal
integer<int64>
started_at
string<date-time>
stderr_bytes
integer<int64>
stderr_truncated
boolean
stdout_bytes
integer<int64>
stdout_truncated
boolean
Last modified on May 29, 2026